org.richfaces.component

## Enum UIDropDownMenu.Properties

- java.lang.Object
- - java.lang.Enum<UIDropDownMenu.Properties>
  - - org.richfaces.component.UIDropDownMenu.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIDropDownMenu.Properties>
  Enclosing class:
    UIDropDownMenu

      protected static enum UIDropDownMenu.Properties
      extends Enum<UIDropDownMenu.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `dir`
    `direction`
    `disabled`
    `hideDelay`
    `horizontalOffset`
    `jointPoint`
    `label`
    `lang`
    `mode`
    `onclick`
    `ondblclick`
    `ongrouphide`
    `ongroupshow`
    `onhide`
    `onitemclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onshow`
    `popupWidth`
    `showDelay`
    `showEvent`
    `style`
    `styleClass`
    `title`
    `verticalOffset`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIDropDownMenu.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIDropDownMenu.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### dir

          public static final UIDropDownMenu.Properties dir

    - #### direction

          public static final UIDropDownMenu.Properties direction

    - #### disabled

          public static final UIDropDownMenu.Properties disabled

    - #### hideDelay

          public static final UIDropDownMenu.Properties hideDelay

    - #### horizontalOffset

          public static final UIDropDownMenu.Properties horizontalOffset

    - #### jointPoint

          public static final UIDropDownMenu.Properties jointPoint

    - #### label

          public static final UIDropDownMenu.Properties label

    - #### lang

          public static final UIDropDownMenu.Properties lang

    - #### mode

          public static final UIDropDownMenu.Properties mode

    - #### onclick

          public static final UIDropDownMenu.Properties onclick

    - #### ondblclick

          public static final UIDropDownMenu.Properties ondblclick

    - #### ongrouphide

          public static final UIDropDownMenu.Properties ongrouphide

    - #### ongroupshow

          public static final UIDropDownMenu.Properties ongroupshow

    - #### onhide

          public static final UIDropDownMenu.Properties onhide

    - #### onitemclick

          public static final UIDropDownMenu.Properties onitemclick

    - #### onkeydown

          public static final UIDropDownMenu.Properties onkeydown

    - #### onkeypress

          public static final UIDropDownMenu.Properties onkeypress

    - #### onkeyup

          public static final UIDropDownMenu.Properties onkeyup

    - #### onmousedown

          public static final UIDropDownMenu.Properties onmousedown

    - #### onmousemove

          public static final UIDropDownMenu.Properties onmousemove

    - #### onmouseout

          public static final UIDropDownMenu.Properties onmouseout

    - #### onmouseover

          public static final UIDropDownMenu.Properties onmouseover

    - #### onmouseup

          public static final UIDropDownMenu.Properties onmouseup

    - #### onshow

          public static final UIDropDownMenu.Properties onshow

    - #### popupWidth

          public static final UIDropDownMenu.Properties popupWidth

    - #### showDelay

          public static final UIDropDownMenu.Properties showDelay

    - #### showEvent

          public static final UIDropDownMenu.Properties showEvent

    - #### style

          public static final UIDropDownMenu.Properties style

    - #### styleClass

          public static final UIDropDownMenu.Properties styleClass

    - #### title

          public static final UIDropDownMenu.Properties title

    - #### verticalOffset

          public static final UIDropDownMenu.Properties verticalOffset

  - ### Method Detail

    - #### values

          public static UIDropDownMenu.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIDropDownMenu.Properties c : UIDropDownMenu.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIDropDownMenu.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.